levelinit12E:
   !freeram = $0EFA
   !hdmatable = !freeram+12

   LDA #%00100
   STA $212C
   LDA #%10011
   STA $212D

   REP #$20
   ; Channel 3 pseudo-hires
   ; Pseudo hires (#$33)
   ; 1 register, write once (#$00)
   LDA #$3300
   ; Channel 3 HDMA ($XX3X)
   STA $4330
   LDA #.pseudohireshdma
   STA $4332

   ; Channel 4 parallax
   ; BG2 Horizontal Scroll (#$0F)
   ; 1 register, write twice (#$02)
   LDA #$0F02
   ; Channel 4 HDMA ($XX4X)
   STA $4340
   LDA #!hdmatable
   STA $4342

   SEP #$20
   ; Table looks like this
   ; Anything marked XX can be pretty much anything.
   ; $DD is for distance, $ZZ is horizontal position.
   ;
   ; db $DD, $XX, $XX
   ; db $gg, $ZZ, $XX (5/8)
   ; db $gg, $ZZ, $XX (4/8)
   ; db $gg, $ZZ, $XX (3/8)
   ; db $gg, $ZZ, $XX (2/8)
   ; db $gg, $ZZ, $XX (1/8)
   ; db $XX, $ZZ, $XX (0/8)
   ; db $00
   LDA #26
   STA !hdmatable+3
   LDA #19
   STA !hdmatable+6
   STA !hdmatable+9
   LDA #11
   STA !hdmatable+12
   STA !hdmatable+15
   STA !hdmatable+18
   STZ !hdmatable+21

   LDA.b #.pseudohireshdma>>16
   STA $4334
   LDA.b #!hdmatable>>16
   STA $4344

   ; Enable channel 3 and 4
   LDA #$18
   TSB $0D9F

   JMP level12E
.pseudohireshdma
db $40, $00 ; No pseudo HiRES for status bar
db $01, $08 ; Pseudo-HiRES for Layer 3
db $00
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
levelinit1FC:
   !freeram = $0EFA
   !hdmatable = !freeram+12

   LDA #%00100
   STA $212C
   LDA #%10011
   STA $212D

   REP #$20
   ; Channel 3 pseudo-hires
   ; Pseudo hires (#$33)
   ; 1 register, write once (#$00)
   LDA #$3300
   ; Channel 3 HDMA ($XX3X)
   STA $4330
   LDA #.pseudohireshdma
   STA $4332

   ; Channel 4 parallax
   ; BG2 Horizontal Scroll (#$0F)
   ; 1 register, write twice (#$02)
   LDA #$0F02
   ; Channel 4 HDMA ($XX4X)
   STA $4340
   LDA #!hdmatable
   STA $4342

   SEP #$20
   ; Table looks like this
   ; Anything marked XX can be pretty much anything.
   ; $DD is for distance, $ZZ is horizontal position.
   ;
   ; db $DD, $XX, $XX
   ; db $gg, $ZZ, $XX (5/8)
   ; db $gg, $ZZ, $XX (4/8)
   ; db $gg, $ZZ, $XX (3/8)
   ; db $gg, $ZZ, $XX (2/8)
   ; db $gg, $ZZ, $XX (1/8)
   ; db $XX, $ZZ, $XX (0/8)
   ; db $00
   LDA #26
   STA !hdmatable+3
   LDA #19
   STA !hdmatable+6
   STA !hdmatable+9
   LDA #11
   STA !hdmatable+12
   STA !hdmatable+15
   STA !hdmatable+18
   STZ !hdmatable+21

   LDA.b #.pseudohireshdma>>16
   STA $4334
   LDA.b #!hdmatable>>16
   STA $4344

   ; Enable channel 3 and 4
   LDA #$18
   TSB $0D9F

   JMP level1FC
.pseudohireshdma
db $40, $00 ; No pseudo HiRES for status bar
db $01, $08 ; Pseudo-HiRES for Layer 3
db $00